import { JavaObject } from '../../../java/lang/JavaObject';
export declare class LehrerKatalogAnrechnungsgrundEintrag extends JavaObject {
    id: number;
    kuerzel: String;
    text: String;
    gueltigVon: Number | null;
    gueltigBis: Number | null;
    /**
     * Erstellt einen Anrechnungsgrund-Eintrag mit Standardwerten
     */
    constructor();
    /**
     * Erstellt einen Anrechnungsgrund-Eintrag mit den angegebenen Werten
     *
     * @param id           die ID
     * @param kuerzel      das Kürzel
     * @param text         die textuelle Beschreibung
     * @param gueltigVon   das Schuljahr, wann der Eintrag eingeführt wurde oder null, falls es nicht bekannt ist und "schon immer gültig war"
     * @param gueltigBis   das Schuljahr, bis zu welchem der Eintrag gültig ist
     */
    constructor(id: number, kuerzel: String, text: String, gueltigVon: Number | null, gueltigBis: Number | null);
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): LehrerKatalogAnrechnungsgrundEintrag;
    static transpilerToJSON(obj: LehrerKatalogAnrechnungsgrundEintrag): string;
    static transpilerToJSONPatch(obj: Partial<LehrerKatalogAnrechnungsgrundEintrag>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_lehrer_LehrerKatalogAnrechnungsgrundEintrag(obj: unknown): LehrerKatalogAnrechnungsgrundEintrag;
